<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Name: Laboratory Performer
Description: Laboratory Performers SHALL be recorded as performers in the CDA Header as well as in the structured body as demonstrated in the figure below. Documentation of laboratory performers MAY be done in multiple levels of the document to reflect performance scope. In the case where there is a single Laboratory Performer, this entity SHALL be documented in CDA header as
                shown. In the case where multiple Laboratory Performers participated in the lab testing process, they SHALL be documented in the structuredBody at the observation level.  These performers SHALL conform to the General Constraints found in HL7 CRS: 2.1.1 with respect to the requirements for name, address, telephone numbers and other contact information. 
                  This module is out of
                the XDS-Lab Specification and documented there in a <performer> element. This module does not change requirements stated in that specification but is structured as a module to ensure consistent content repre
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000">
   <title>Laboratory Performer</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]"
         id="d42e2233-false-d7067e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']) &gt;= 1">(LaboratoryPerformer): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']) &lt;= 1">(LaboratoryPerformer): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:time) &gt;= 1">(LaboratoryPerformer): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:time) &lt;= 1">(LaboratoryPerformer): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:assignedEntity) &gt;= 1">(LaboratoryPerformer): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:assignedEntity) &lt;= 1">(LaboratoryPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="d42e2420-false-d7100e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.7')">(LaboratoryPerformer): de waarde van root MOET '1.3.6.1.4.1.19376.1.3.3.1.7' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:time
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:time"
         id="d42e2425-false-d7114e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity"
         id="d42e2431-false-d7124e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(LaboratoryPerformer): de waarde van classCode MOET 'ASSIGNED' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="hl7:assignedPerson/hl7:name or hl7:representedOrganization/hl7:name">(LaboratoryPerformer): Either an &lt;assignedPerson&gt; or a &lt;representedOrganization&gt; SHALL be present. In either case, the &lt;name&gt; sub-element SHALL be present.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:id) &gt;= 1">(LaboratoryPerformer): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:code) &lt;= 1">(LaboratoryPerformer): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:addr) &gt;= 1">(LaboratoryPerformer): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:telecom) &gt;= 1">(LaboratoryPerformer): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(LaboratoryPerformer): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(LaboratoryPerformer): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:id
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:id"
         id="d42e2435-false-d7172e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:code
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:code"
         id="d42e2441-false-d7182e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:addr
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:addr"
         id="d42e2443-false-d7192e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:telecom
Item: (LaboratoryPerformer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:telecom"
         id="d42e2449-false-d7202e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20220506T101050/tmp-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(LaboratoryPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:assignedPerson
Item: (LaboratoryPerformer)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.7
Context: *[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:assignedEntity/hl7:representedOrganization
Item: (LaboratoryPerformer)
-->
</pattern>
